%define module_name App-JsonLogUtils
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(Iterator/Simple.pm) perl(JSON/XS.pm) perl(List/Util.pm) perl(Pod/Usage.pm) perl(Term/ReadLine.pm) perl(Term/SimpleColor.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test2/V0.pm) perl(Time/HiRes.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Command line utilities for dealing with JSON-formatted log files
Group: Development/Perl
License: perl
URL: https://github.com/sysread/App-JsonLogUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEFFOBER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Writing logs in JSON, one object per line, makes them very easily machine
readable. Wonderful. Unfortunately, it also makes it unfuriating to deal with
them using the standard unix command line tools. This package provides a few
tools to salve the burn.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/A*
%_man1dir/*
%_bindir/*

%changelog
* Sat Sep 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

